<section class="form-section">
  <h2 class="form-title">ОСТАВИТЬ ЗАЯВКУ</h2>
  <form
    animateOnScroll
    animationName="animate__animated animate__backInDown"
    class="form"
    [formGroup]="contactForm"
    (ngSubmit)="sendFormData()"
  >
    <select formControlName="userQuestion" class="form-input">
      <option class="form-option" value="Регистрация в ЕГИСЗ" [selected]="true">Регистрация в ЕГИСЗ</option>
      <option class="form-option" value="Разработка сайта">Разработка сайта</option>
      <option class="form-option" value="Аудиторская проверка">Аудиторская проверка</option>
      <option class="form-option" value="Аккредитация врачей">Аккредитация врачей</option>
      <option class="form-option" value="Открытие бизнеса">Открытие бизнеса</option>
      <option class="form-option" value="Получение лицензии/СЭЗ">Получение лицензии/СЭЗ</option>
    </select>
    <input formControlName="organizationName" class="form-input" placeholder="Название организации" type="text">
    <div
      *ngIf="contactForm.controls['organizationName'].invalid && (contactForm.controls['organizationName'].dirty || contactForm.controls['organizationName'].touched)"
      class="alert">
      <div *ngIf="contactForm.controls['organizationName'].errors?.['required']">
        Введите название организации
      </div>
    </div>
    <input formControlName="userEmail" class="form-input" placeholder="Электронная почта" type="email">
    <div
      *ngIf="contactForm.controls['userEmail'].invalid && (contactForm.controls['userEmail'].dirty || contactForm.controls['userEmail'].touched)"
      class="alert">
      <div
        *ngIf="contactForm.controls['userEmail'].errors?.['email'] || contactForm.controls['userEmail'].errors?.['required']">
        Введите корректный адрес электронной почты
      </div>
    </div>
    <textarea formControlName="userMassage" placeholder="Ваше сообщение" class="form-input form-textarea"
              rows="6"></textarea>
    <div
      *ngIf="contactForm.controls['userMassage'].invalid && (contactForm.controls['userMassage'].dirty || contactForm.controls['userMassage'].touched)"
      class="alert">
      <div *ngIf="contactForm.controls['userMassage'].errors?.['required']">
        Введите Ваше сообщение
      </div>
    </div>
    <div class="form-input-checkbox">
      <input formControlName="policy"
             type="checkbox" id="offero">
      <label
        [ngStyle]="contactForm.controls['policy'].invalid ? {'color': '#d34040'} : {'red': '#d34040'}" for="offero">
        Я принимаю условия <span
        [ngStyle]="contactForm.controls['policy'].invalid ? {'color': '#d34040'} : {'red': '#d34040'}"
        class="offero-link" (click)="openModal()">Политики конфиденциальности</span></label>
    </div>
    <div
      *ngIf="isSend"
      class="form-notice animate__animated animate__fadeIn"
    >Заявка отправлена. Мы свяжемся с Вами при первой возможности</div>
    <button [class.disabled]="contactForm.invalid" class="form-btn">ОТПРАВИТЬ</button>
  </form>
</section>
<app-modal (isModalEvent)="closeModal($event)" *ngIf="isModal"></app-modal>
